libpagemaker::PMDRectangle Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libpagemaker::PMDRectangle Class Reference

`#include <geometry.h>`

Inheritance diagram for libpagemaker::PMDRectangle:

## Public Member Functions
| PMDRectangle (const PMDShapePoint &bboxTopLeft, const PMDShapePoint &bboxBotRight, const PMDXForm &xFormContainer, const PMDFillProperties fillProps, const PMDStrokeProperties strokeProps)
double | getRotation () const override
double | getSkew () const override
PMDShapePoint | getXformTopLeft () const override
PMDShapePoint | getXformBotRight () const override
PMDShapePoint | getRotatingPoint () const override
PMDShapePoint | getBboxTopLeft () const override
PMDShapePoint | getBboxBotRight () const override
bool | getIsClosed () const override
std::vector< PMDShapePoint > | getPoints () const override
uint8_t | shapeType () const override
PMDFillProperties | getFillProperties () const override
PMDStrokeProperties | getStrokeProperties () const override
std::string | getText () const override
std::vector< PMDCharProperties > | getCharProperties () const override
std::vector< PMDParaProperties > | getParaProperties () const override
librevenge::RVNGBinaryData | getBitmap () const override
| ~PMDRectangle () override
Public Member Functions inherited from libpagemaker::PMDLineSet
virtual | ~PMDLineSet ()

## Private Attributes
PMDShapePoint | m_bboxTopLeft
PMDShapePoint | m_bboxBotRight
PMDXForm | m_xFormContainer
PMDFillProperties | m_fillProps
PMDStrokeProperties | m_strokeProps

## Constructor & Destructor Documentation

## ◆ PMDRectangle()

libpagemaker::PMDRectangle::PMDRectangle | ( | const PMDShapePoint & | bboxTopLeft,
|  | const PMDShapePoint & | bboxBotRight,
|  | const PMDXForm & | xFormContainer,
|  | const PMDFillProperties | fillProps,
|  | const PMDStrokeProperties | strokeProps )
| inline

## ◆ ~PMDRectangle()

libpagemaker::PMDRectangle::~PMDRectangle | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ getBboxBotRight()

PMDShapePoint libpagemaker::PMDRectangle::getBboxBotRight | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getBboxTopLeft()

PMDShapePoint libpagemaker::PMDRectangle::getBboxTopLeft | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getBitmap()

librevenge::RVNGBinaryData libpagemaker::PMDRectangle::getBitmap | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getCharProperties()

std::vector< PMDCharProperties > libpagemaker::PMDRectangle::getCharProperties | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getFillProperties()

PMDFillProperties libpagemaker::PMDRectangle::getFillProperties | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getIsClosed()

bool libpagemaker::PMDRectangle::getIsClosed | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getParaProperties()

std::vector< PMDParaProperties > libpagemaker::PMDRectangle::getParaProperties | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getPoints()

std::vector< PMDShapePoint > libpagemaker::PMDRectangle::getPoints | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getRotatingPoint()

PMDShapePoint libpagemaker::PMDRectangle::getRotatingPoint | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getRotation()

double libpagemaker::PMDRectangle::getRotation | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getSkew()

double libpagemaker::PMDRectangle::getSkew | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getStrokeProperties()

PMDStrokeProperties libpagemaker::PMDRectangle::getStrokeProperties | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getText()

std::string libpagemaker::PMDRectangle::getText | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getXformBotRight()

PMDShapePoint libpagemaker::PMDRectangle::getXformBotRight | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ getXformTopLeft()

PMDShapePoint libpagemaker::PMDRectangle::getXformTopLeft | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## ◆ shapeType()

uint8_t libpagemaker::PMDRectangle::shapeType | ( |  | ) | const
| inlineoverridevirtual

Implements libpagemaker::PMDLineSet.

## Member Data Documentation

## ◆ m_bboxBotRight

PMDShapePoint libpagemaker::PMDRectangle::m_bboxBotRight
| private

Referenced by getBboxBotRight(), and getPoints().

## ◆ m_bboxTopLeft

PMDShapePoint libpagemaker::PMDRectangle::m_bboxTopLeft
| private

Referenced by getBboxTopLeft(), and getPoints().

## ◆ m_fillProps

PMDFillProperties libpagemaker::PMDRectangle::m_fillProps
| private

Referenced by getFillProperties().

## ◆ m_strokeProps

PMDStrokeProperties libpagemaker::PMDRectangle::m_strokeProps
| private

Referenced by getStrokeProperties().

## ◆ m_xFormContainer

PMDXForm libpagemaker::PMDRectangle::m_xFormContainer
| private

Referenced by getRotatingPoint(), getRotation(), getSkew(), getXformBotRight(), and getXformTopLeft().

The documentation for this class was generated from the following file:

- geometry.h